<?php
/*
Plugin Name: Dynamic CSS URLs for Flywheel CDN
Description: Ensures the Flywheel CDN path is used in dynamically generated CSS url paramaters.
Author: Brandon Kidd
Author URI: https://profiles.wordpress.org/bkidd85/
Plugin URI: https://wordpress.org/plugins/dynamic-css-urls-for-flywheel-cdn/
License: GPLv2
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Version: 1.2.0
*/

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

// Filter wp_get_attachment_image_src with CDN path.
function fdcu_cdn_attachment_src($image, $attachment_id, $size, $icon)
{
  if (is_array($image) && !empty($image[0])) {
    $image[0] = str_replace(site_url(), '//'.WP_STACK_CDN_DOMAIN, $image[0]);
  }
  return $image;
}

// Check if CDN is enabled before running the filter.
if (defined('WP_STACK_CDN_DOMAIN')){
  add_filter('wp_get_attachment_image_src', 'fdcu_cdn_attachment_src', null, 4);
}
